@echo off

echo PGP Desktop Removal Script v1.1
echo ..........................
echo .
echo .
echo .
echo Deleting PGP Directories...
echo .
echo .

rmdir "%programfiles%\PGP Corporation" /S /Q
rmdir "%programfiles(x86)%\PGP Corporation" /S /Q
rmdir "%commonprogramfiles%\PGP Corporation" /S /Q
rmdir "%commonprogramfiles(x86)%\PGP Corporation" /S /Q
rmdir "%appdata%\PGP Corporation" /S /Q
rmdir "%userprofile%\Local Settings\Application Data\PGP Corporation" /S /Q
rmdir "%localappdata%\PGP Corporation" /S /Q
rmdir "%windir%\system32\config\systemprofile\Local Settings\Application Data\PGP Corporation" /S /Q
rmdir "%programdata%\PGP Corporation" /S /Q

echo ..........................
echo .
echo .
echo Backing up oldkeys if any...
echo .
echo .

xcopy "%userprofile%\My Documents\PGP" "%userprofile%\My Documents\PGPBackup" /E /H /Y /I
rmdir "%userprofile%\My Documents\PGP" /S /Q

xcopy "%userprofile%\Documents\PGP" "%userprofile%\Documents\PGPBackup" /E /H /Y /I
rmdir "%userprofile%\Documents\PGP" /S /Q

echo ..........................
echo .
echo .
echo Deleting PGP system components...
echo .
echo .

del %windir%\system32\PGPdisk.sys
del %windir%\system32\PGPcl.dll
del %windir%\system32\PGPdskEn.dll
del %windir%\system32\PGPdskUI.dll
del %windir%\system32\PGPeudra.dll
del %windir%\system32\PGPfscor.dll
del %windir%\system32\PGPfsshl.dll
del %windir%\system32\pgpgw.dll
del %windir%\system32\PGPhk.dll
del %windir%\system32\PGPiconv.dll
del %windir%\system32\PGPlsp.dll
del %windir%\system32\PGPmapih.dll
del %windir%\system32\PGPmn.dll
del %windir%\system32\PGPoe.dll
del %windir%\system32\PGPproxy.dll
del %windir%\system32\PGPpwflt.dll
del %windir%\system32\PGPsc.dll
del %windir%\system32\PGPsdk.dll
del %windir%\system32\pgpsdkm.dll
del %windir%\system32\PGPsdkNL.dll
del %windir%\system32\PGPsdkUI.dll
del %windir%\system32\PGPserv.exe
del %windir%\system32\PGPtcl11.dll
del %windir%\system32\PGPwd.dll

del %windir%\syswow64\PGPdisk.sys
del %windir%\syswow64\PGPcl.dll
del %windir%\syswow64\PGPdskEn.dll
del %windir%\syswow64\PGPdskUI.dll
del %windir%\syswow64\PGPeudra.dll
del %windir%\syswow64\PGPfscor.dll
del %windir%\syswow64\PGPfsshl.dll
del %windir%\syswow64\pgpgw.dll
del %windir%\syswow64\PGPhk.dll
del %windir%\syswow64\PGPiconv.dll
del %windir%\syswow64\PGPlsp.dll
del %windir%\syswow64\PGPmapih.dll
del %windir%\syswow64\PGPmn.dll
del %windir%\syswow64\PGPoe.dll
del %windir%\syswow64\PGPproxy.dll
del %windir%\syswow64\PGPpwflt.dll
del %windir%\syswow64\PGPsc.dll
del %windir%\syswow64\PGPsdk.dll
del %windir%\syswow64\pgpsdkm.dll
del %windir%\syswow64\PGPsdkNL.dll
del %windir%\syswow64\PGPsdkUI.dll
del %windir%\syswow64\PGPserv.exe
del %windir%\syswow64\PGPtcl11.dll
del %windir%\syswow64\PGPwd.dll

del %windir%\system32\drivers\PGPdisk.sys
del %windir%\system32\drivers\PGPfsfd.sys
del %windir%\system32\drivers\PGPsdk.sys
del %windir%\system32\drivers\PGPwded.sys

del %windir%\syswow64\drivers\PGPdisk.sys
del %windir%\syswow64\drivers\PGPfsfd.sys
del %windir%\syswow64\drivers\PGPsdk.sys
del %windir%\syswow64\drivers\PGPwded.sys

echo ..........................
echo . 
echo . 
echo Deleting PGP registry entries...
echo .
echo . 

reg delete "HKCU\SOFTWARE\PGP Corporation" /f
reg delete "HKLM\SOFTWARE\Wow6432Node\PGP Corporation" /f
reg delete "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Windows\pgpmapih.dll" /f
reg delete "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Windows\OCMAPIHK.DLL" /f
reg delete "HKLM\SYSTEM\CurrentControlSet\Services\PGP RDD Service" /f
reg delete HKLM\SYSTEM\CurrentControlSet\Services\PGPdisk /f
reg delete HKLM\SYSTEM\CurrentControlSet\Services\pgpfs /f
reg delete HKLM\SYSTEM\CurrentControlSet\Services\PGPpwflt /f
reg delete HKLM\SYSTEM\CurrentControlSet\Services\PGPsdkDriver /f
reg delete HKLM\SYSTEM\CurrentControlSet\Services\PGPserv /f
reg delete HKLM\SYSTEM\CurrentControlSet\Services\PGPwded /f

reg delete "HKCU\SOFTWARE\PGP Corporation" /f


echo ..........................
echo .
echo .
echo PGP removal complete...
echo .
echo .
echo ..........................
echo NOTE: If you had keys stored in My Documents they have been backed up to My Documents/PGPBackup
